package com.jkcredit.invoice.hub.util;

import java.math.BigDecimal;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.UUID;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/9 21:01
 * @version: V1.0
 **/
public class CommonUtil {
    public static Double parseDouble(BigDecimal bigDecimal) {
        return bigDecimal.setScale(2, BigDecimal.ROUND_HALF_UP).doubleValue();
    }

    public static String getRequestId() {
        return new SimpleDateFormat("yyyyMMddHHmmssSSS").format(new Date()) + ","
                + UUID.randomUUID().toString();
    }
}
